__gnu_cxx::throw_value_limit Struct Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::throw_value_limit:
[legend]

## Public Types

typedef throw_value_base< limit_condition > | base_type
typedef limit_condition | condition_type

## Public Member Functions

| throw_value_limit (const std::size_t __i)
| throw_value_limit (const throw_value_limit &__other)
| throw_value_limit (throw_value_limit &&)=default
throw_value_base & | operator++ ()
throw_value_limit & | operator= (const throw_value_limit &__other)
throw_value_limit & | operator= (throw_value_limit &&)=default

## Static Public Member Functions

static size_t & | count ()
static size_t & | limit ()
static void | set_limit (const size_t __l)
static void | throw_conditionally ()

## Public Attributes

std::size_t | _M_i

## Detailed Description

Type throwing via limit condition.

Definition at line 742 of file throw_allocator.h.

## Member Typedef Documentation

## base_type

typedef throw_value_base<limit_condition> __gnu_cxx::throw_value_limit::base_type

Definition at line 744 of file throw_allocator.h.

## condition_type

typedef limit_condition __gnu_cxx::throw_value_base< limit_condition >::condition_type

inherited

Definition at line 627 of file throw_allocator.h.

## Constructor & Destructor Documentation

## throw_value_limit() [1/3]

__gnu_cxx::throw_value_limit::throw_value_limit | ( |  | ) |

inline

Definition at line 747 of file throw_allocator.h.

## throw_value_limit() [2/3]

__gnu_cxx::throw_value_limit::throw_value_limit | ( | const throw_value_limit & | __other | ) |

inline

Definition at line 749 of file throw_allocator.h.

## throw_value_limit() [3/3]

__gnu_cxx::throw_value_limit::throw_value_limit | ( | const std::size_t | __i | ) |

inline explicit

Definition at line 756 of file throw_allocator.h.

## Member Function Documentation

## count()

static size_t & __gnu_cxx::limit_condition::count | ( |  | ) |

inline static inherited

Definition at line 476 of file throw_allocator.h.

## limit()

static size_t & __gnu_cxx::limit_condition::limit | ( |  | ) |

inline static inherited

Definition at line 483 of file throw_allocator.h.

## operator++()

throw_value_base & __gnu_cxx::throw_value_base< limit_condition >::operator++ | ( |  | ) |

inline inherited

Definition at line 664 of file throw_allocator.h.

## operator=()

throw_value_limit & __gnu_cxx::throw_value_limit::operator= | ( | const throw_value_limit & | __other | ) |

inline

Definition at line 760 of file throw_allocator.h.

## set_limit()

static void __gnu_cxx::limit_condition::set_limit | ( | const size_t | __l | ) |

inline static inherited

Definition at line 491 of file throw_allocator.h.

## throw_conditionally()

static void __gnu_cxx::limit_condition::throw_conditionally | ( |  | ) |

inline static inherited

Definition at line 468 of file throw_allocator.h.

## Member Data Documentation

## _M_i

std::size_t __gnu_cxx::throw_value_base< limit_condition >::_M_i

inherited

Definition at line 631 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h